> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/sdn/pricing/querycloudrouterbandwidthprice.md).

# QueryCloudRouterBandwidthPrice

## 1. API Description

This API (QueryCloudRouterBandwidthPrice) is used to inquiry Cloud Router Backbone Bandwidth Price

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type    | Description                                                                                                                             |
| -------------- | -------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| dcId           | Yes      | String  | Data center ID of the Cloud Router backbone.                                                                                            |
| bandwidthMbps  | Yes      | Integer | <p>Maximum bandwidth limit for the Cloud Router.</p><p>Default: 10, unit: Mbps.</p><p>Value range: \[10, +)</p><p>Default value: 10</p> |

## 3. Output Parameters

| Parameter Name | Type                                                       | Description                                                                                                           |
| -------------- | ---------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                     | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| price          | [PriceItem](/api-reference/sdn/datastructure.md#priceitem) | Price information.                                                                                                    |
| stock          | Integer                                                    | Available stock quantity.                                                                                             |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Inquire the price for a Cloud Router backbone bandwidth of 10 Mbps.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: QueryCloudRouterBandwidthPrice
<Common Request Params>

Request:
{
    "dcId": "SIN1",
    "bandwidthMbps": 10
}

Response:
{   
  "requestId": "TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
  "response": {
    "requestId":"TDB181167-C39F-4C3E-8E88-B8FDE755FDC0",
    "price":        {
            "unitPrice":1.65,
            "originalPrice":null,
            "discountPrice":null,
            "discount":100,
            "stepPrices":null,
            "discountUnitPrice":1.65,
            "chargeUnit":"DAY",
            "amountUnit":null
        },
    "stock": 10000
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                            | Description                                                   |
| ---------------- | ------------------------------------- | ------------------------------------------------------------- |
| 404              | INVALID\_ROUTER\_POINT\_NOT\_SELLABLE | This data center does not support Cloud Router access points. |
| 404              | INVALID\_DATACENTER\_NOT\_FOUND       | The specified data center does not exist.                     |
